package LinearAlgebra;

public abstract class OnlineSampleStatistics extends Object {
    abstract public void Reset();
    abstract public void AddPoint(Vektor vektor);
    abstract public void DeletePoint(Vektor vektor);
    
    // This can be overridden for efficiency
    public void UpdatePoint(Vektor vektorFrom,Vektor vektorTo) {
	DeletePoint(vektorFrom);
	AddPoint(vektorTo);
    }
}



