package PrincipalCurve.Vertex;

import LinearAlgebra.*;
import PrincipalCurve.Vertex.Elements.*;

final public class DummyVertex extends Vertex {
    public DummyVertex(Vektor vektor) {
	super(vektor);
    }

    public DummyVertex(Vertex vertex) {
	super(vertex);
    }

    // "Abstract" functions
    final public int GetDegree() { 
	return 0;
    }

    final public Edge [] GetEdges() { 
	return new Edge[0];
    }

    final public Vertex [] GetNeighbors() { 
	return new Vertex[0];
    }

    final public int [] GetEdgeIndexes() { 
	return new int[0];
    }

    final public int [] GetNeighborIndexes() { 
	return new int[0];
    }

    final public ElementVertex [] GetElementVertices() { 
	return new ElementVertex[0];
    }

    final public void Maintain(Vertex neighbor) {
    }

    final public Vertex Degrade(Vertex neighbor) {
	return this;
    }

    final public ElementVertex GetMainElementVertex() { 
	throw new RuntimeException("ABSTRACT FUNCTION!!!");
    }

    final public double GetPenalty() { 
	throw new RuntimeException("ABSTRACT FUNCTION!!!");
    }

    final public NumeratorAndDenominator GetNumeratorAndDenominatorForPenalty() {
	throw new RuntimeException("ABSTRACT FUNCTION!!!");
    }

    final public Vertex Restructure() {
	return this;
    }

    final public Vektor GetTangent(Vertex neighbor) {
	throw new RuntimeException("ABSTRACT FUNCTION!!!");
    }

    final public String toString() {
	String s = "DummyVertex:\t";
	s += super.toString() + "\t";
	return s;
    }
}
